package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSeriesDefaultskuResetRequest struct {
	/*
	   系列品重置默认商品请求     */
	SeriesSku *domain.AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest `json:"series_sku" required:"true" `
}

func (s *AlibabaWdkSeriesDefaultskuResetRequest) SetSeriesSku(v domain.AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest) *AlibabaWdkSeriesDefaultskuResetRequest {
	s.SeriesSku = &v
	return s
}

func (req *AlibabaWdkSeriesDefaultskuResetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SeriesSku != nil {
		paramMap["series_sku"] = util.ConvertStruct(*req.SeriesSku)
	}
	return paramMap
}

func (req *AlibabaWdkSeriesDefaultskuResetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
